Get email disposition
curl --request GET \
--url https://api.paubox.com/v1/email/message_receipt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paubox.com/v1/email/message_receipt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paubox.com/v1/email/message_receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourceTrackingId": "6e1cf9a4-7bde-4834-8200-ed424b50c8a7",
"data": {
"message": {
"id": "<f4a9b518-439c-497d-b87f-dfc9cc19194b@authorized_domain.com>",
"message_deliveries": [
{
"recipient": "recipient@host.com",
"status": {
"deliveryStatus": "delivered",
"deliveryTime": "Mon, 23 Apr 2018 13:27:34 -0700",
"openedStatus": "opened",
"openedTime": "Mon, 23 Apr 2018 13:27:51 -0700"
}
}
],
"total_opens": 1,
"distinct_opens": 1,
"total_click_count": 2,
"clicks_per_link": [
{
"click_count": 1,
"target_url": "amazon.com"
},
{
"click_count": 1,
"target_url": "ebay.com"
}
],
"unsubscribed": false
}
}
}{
"errors": [
{
"code": 404,
"title": "Message was not found",
"details": "Message with this tracking id was not found"
}
],
"sourceTrackingId": "6e1cf9a4-7bde-4834-8d200-ed424b50c8a7"
}Email API · Messages
Get message receipt
Retrieve delivery status, open tracking, and click tracking information for a sent message
GET
/
message_receipt
Get email disposition
Authorizations
Paubox API uses Bearer token authentication in the Authorization header.
Format: Authorization: Bearer YOUR_API_KEY_HERE
Example: Authorization: Bearer 9e5b092b632445b8f570c62ae54f30fda1044305
The legacy format Authorization: Token token=YOUR_API_KEY_HERE is also supported.
Query Parameters
The tracking ID returned when the message was sent
Example:
"6e1cf9a4-7bde-4834-8200-ed424b50c8a7"
⌘I